package org.pfsw.tools.cda.base.model.container;

import static org.junit.Assert.*;

import java.io.File;

import org.junit.Test;
import org.pfsw.util.SysUtil;

public class BundleContainerSpecificationTest
{
  private static final SysUtil SYS = SysUtil.current();
  
  @Test
  public void test_determineRelativeName()
  {
    BundleContainerSpecification spec;
    String realName;
    String logicalName;
    String fileName;
    String relativeName;

    if (SYS.isWindows())
    {
      realName = "c:\\software\\deploy\\sample.war";
      logicalName = "c:\\tmp\\cda-ext-xxx.war_extracted";
      fileName = "C:/tmp/cda-ext-xxx.war_extracted/WEB-INF/lib/alpha.jar";
    }
    else
    {
      realName = "/software/deploy/sample.war";
      logicalName = "/tmp/cda-ext-xxx.war_extracted";      
      fileName = "/tmp/cda-ext-xxx.war_extracted/WEB-INF/lib/alpha.jar";
    }
    spec = new BundleContainerSpecification(null, "MyTestParentContainer", "", new File(realName), new File(logicalName));
    
    relativeName = spec.determineRelativeName(new File(fileName));
    assertEquals("WEB-INF/lib/alpha.jar", relativeName);
  }
}