package org.pfsw.tools.cda.base.model.util;

import static org.junit.Assert.*;
import static org.pfsw.tools.cda.base.testhelper.UnitTestHelper.*;

import java.io.IOException;
import java.io.InputStream;

import org.junit.Test;
import org.pfsw.tools.cda.base.model.ClassInformation;
import org.pfsw.tools.cda.base.model.Workset;
import org.pfsw.tools.cda.base.util.FileUtil;

public class ClassInformationTest
{
  @SuppressWarnings("resource")
  @Test
  public void test_openClassFile() throws IOException
  {
    String className = "org.pfsw.db.util.DBUtil";
    Workset workset;
    ClassInformation classInfo;
    InputStream inputStream;
    
    workset = createWorkset1();
    classInfo = workset.getClassInfo(className);
    
    inputStream = classInfo.openClassFile();
    assertNotNull(inputStream);
    try
    {
      assertTrue(inputStream.available() > 1000);
    }
    finally
    {
      FileUtil.instance().close(inputStream);
    }
  }

  @SuppressWarnings("resource")
  @Test
  public void test_openClassFile_class_in_not_found_at_all() throws IOException
  {
    String className = "org.pfsw.unknown.Unknown1";
    Workset workset;
    ClassInformation classInfo;
    InputStream inputStream;
    
    workset = createWorkset1();
    classInfo = workset.getClassInfo(className);
    
    inputStream = classInfo.openClassFile();
    assertNull(inputStream);
  }
  
  @SuppressWarnings("resource")
  @Test
  public void test_openClassFile_class_in_not_found_container() throws IOException
  {
    String className = "org.pfsw.others.Unknown2";
    Workset workset;
    ClassInformation classInfo;
    InputStream inputStream;
    
    workset = createWorkset1();
    classInfo = workset.getClassInfo(className);
    
    inputStream = classInfo.openClassFile();
    assertNull(inputStream);
  }
}