package org.pfsw.tools.cda.base.model.util;

import static org.junit.Assert.*;
import static org.pfsw.tools.cda.base.testhelper.UnitTestHelper.*;

import java.io.File;
import java.io.IOException;
import java.util.Collection;

import org.junit.Test;
import org.pfsw.file.IZipEntryFilter;
import org.pfsw.tools.cda.base.util.FileUtil;

public class ZipEntryFileNamePatternsTest
{
  private static final FileUtil FU = FileUtil.instance();
  
  @Test
  public void test_matches() throws IOException
  {
    IZipEntryFilter filter = new ZipEntryFileNamePatterns("Object*.class");
    File zipFile = new File(LIB_DIR_1 + "pf-db-3.0.0.jar");
    Collection<String> result;
    
    result = FU.findZippedFiles(zipFile, filter);
    assertEquals(3, result.size());
    assertTrue(result.contains("org/pfsw/db/util/ObjectIdentifierDB.class"));
    assertTrue(result.contains("org/pfsw/db/util/ObjectIdentifierGenerator.class"));
    assertTrue(result.contains("org/pfsw/db/util/ObjectIdentifierProducer.class"));
  }
}