package org.pfsw.tools.cda.base.util;

import static org.junit.Assert.*;

import org.junit.Test;

public class FileUtilTest
{
  @Test
  public void test_makeClassRelatedResourceName_1()
  {
    String result;

    result = FileUtil.instance().makeClassRelatedResourceName("edu/umd/cs/findbugs/gui2/AboutDialog", "help/Acknowledgements.html");
    assertEquals("edu/umd/cs/findbugs/gui2/help/Acknowledgements.html", result);
  }

  @Test
  public void test_makeClassRelatedResourceName_2()
  {
    String result;

    result = FileUtil.instance().makeClassRelatedResourceName("edu/umd/cs/findbugs/gui2/AboutDialog", "/License.html");
    assertEquals("edu/umd/cs/findbugs/gui2/License.html", result);
  }

  @Test
  public void test_extractServiceName_true()
  {
    String result;

    result = FileUtil.instance().extractServiceName("META-INF/services/org.pfsw.bif.lifecycle.IReleasable");
    assertEquals("org.pfsw.bif.lifecycle.IReleasable", result);
  }
  
  @Test
  public void test_extractServiceName_false()
  {
    String result;
    
    result = FileUtil.instance().extractServiceName("META-INF/plugins/org.pfsw.bif.lifecycle.IReleasable");
    assertNull(result);
  }
}